<?php
namespace Claromentis\Projects\Event;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("user" . "_id" => base64_decode("dXNl" . "cl9p" . "ZA=="), "project" . "_id" => base64_decode("cHJvamVj" . "dF9pZA=="));
use Claromentis\Core\Event\GenericEvent;
use Claromentis\Projects\Service\NotificationService;
class TopicCreateEvent extends GenericEvent
{
    const EVENT_NAME = NotificationService::TOPICS_NEW_TOPIC_ADDED;
    public function getProjectId() : ?int
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["projec" . "t_id"]) ? $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["project_" . "id"]) : null;
    }
    public function setProjectId(int $_47d202493f86e587c8454fae73657c90) : void
    {
        $this->setArgument($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["pro" . "jec" . "t_i" . "d"], $_47d202493f86e587c8454fae73657c90);
    }
    public function getUserId() : ?int
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["us" . "er" . "_i" . "d"]) ? $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["user" . "_id"]) : null;
    }
    public function setUserId(int $_47d202493f86e587c8454fae73657c90) : void
    {
        $this->setArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["user_i" . "d"], $_47d202493f86e587c8454fae73657c90);
    }
}